Package io.dapr.v1

# Class DaprProtos.AppConnectionProperties

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
io.dapr.v1.DaprProtos.AppConnectionProperties

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.AppConnectionPropertiesOrBuilder`, `Serializable`

Enclosing class:
  DaprProtos

public static final class DaprProtos.AppConnectionProperties extends com.google.protobuf.GeneratedMessageV3 implements DaprProtos.AppConnectionPropertiesOrBuilder
Protobuf type `dapr.proto.runtime.v1.AppConnectionProperties`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DaprProtos.AppConnectionProperties.Builder`
Protobuf type `dapr.proto.runtime.v1.AppConnectionProperties`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CHANNEL_ADDRESS_FIELD_NUMBER`
`static final int`
`HEALTH_FIELD_NUMBER`
`static final int`
`MAX_CONCURRENCY_FIELD_NUMBER`
`static final int`
`PORT_FIELD_NUMBER`
`static final int`
`PROTOCOL_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getChannelAddress()`
`string channel_address = 3 [json_name = "channelAddress"];`
`com.google.protobuf.ByteString`
`getChannelAddressBytes()`
`string channel_address = 3 [json_name = "channelAddress"];`
`static DaprProtos.AppConnectionProperties`
`getDefaultInstance()`
`DaprProtos.AppConnectionProperties`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`DaprProtos.AppConnectionHealthProperties`
`getHealth()`
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`
`DaprProtos.AppConnectionHealthPropertiesOrBuilder`
`getHealthOrBuilder()`
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`
`int`
`getMaxConcurrency()`
`int32 max_concurrency = 4 [json_name = "maxConcurrency"];`
`com.google.protobuf.Parser<DaprProtos.AppConnectionProperties>`
`getParserForType()`
`int`
`getPort()`
`int32 port = 1;`
`String`
`getProtocol()`
`string protocol = 2;`
`com.google.protobuf.ByteString`
`getProtocolBytes()`
`string protocol = 2;`
`int`
`getSerializedSize()`
`int`
`hashCode()`
`boolean`
`hasHealth()`
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`static DaprProtos.AppConnectionProperties.Builder`
`newBuilder()`
`static DaprProtos.AppConnectionProperties.Builder`
`newBuilder(DaprProtos.AppConnectionProperties prototype)`
`DaprProtos.AppConnectionProperties.Builder`
`newBuilderForType()`
`protected DaprProtos.AppConnectionProperties.Builder`
`newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object`
`newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static DaprProtos.AppConnectionProperties`
`parseDelimitedFrom(InputStream input)`
`static DaprProtos.AppConnectionProperties`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.AppConnectionProperties`
`parseFrom(byte[] data)`
`static DaprProtos.AppConnectionProperties`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.AppConnectionProperties`
`parseFrom(com.google.protobuf.ByteString data)`
`static DaprProtos.AppConnectionProperties`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.AppConnectionProperties`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static DaprProtos.AppConnectionProperties`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.AppConnectionProperties`
`parseFrom(InputStream input)`
`static DaprProtos.AppConnectionProperties`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.AppConnectionProperties`
`parseFrom(ByteBuffer data)`
`static DaprProtos.AppConnectionProperties`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<DaprProtos.AppConnectionProperties>`
`parser()`
`DaprProtos.AppConnectionProperties.Builder`
`toBuilder()`
`void`
`writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### PORT_FIELD_NUMBER

public static final int PORT_FIELD_NUMBER

See Also:
  - Constant Field Values

### PROTOCOL_FIELD_NUMBER

public static final int PROTOCOL_FIELD_NUMBER

See Also:
  - Constant Field Values

### CHANNEL_ADDRESS_FIELD_NUMBER

public static final int CHANNEL_ADDRESS_FIELD_NUMBER

See Also:
  - Constant Field Values

### MAX_CONCURRENCY_FIELD_NUMBER

public static final int MAX_CONCURRENCY_FIELD_NUMBER

See Also:
  - Constant Field Values

### HEALTH_FIELD_NUMBER

public static final int HEALTH_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### newInstance

protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getPort

public int getPort()
`int32 port = 1;`

Specified by:
  `getPort` in interface `DaprProtos.AppConnectionPropertiesOrBuilder`
Returns:
  The port.

### getProtocol

public String getProtocol()
`string protocol = 2;`

Specified by:
  `getProtocol` in interface `DaprProtos.AppConnectionPropertiesOrBuilder`
Returns:
  The protocol.

### getProtocolBytes

public com.google.protobuf.ByteString getProtocolBytes()
`string protocol = 2;`

Specified by:
  `getProtocolBytes` in interface `DaprProtos.AppConnectionPropertiesOrBuilder`
Returns:
  The bytes for protocol.

### getChannelAddress

public String getChannelAddress()
`string channel_address = 3 [json_name = "channelAddress"];`

Specified by:
  `getChannelAddress` in interface `DaprProtos.AppConnectionPropertiesOrBuilder`
Returns:
  The channelAddress.

### getChannelAddressBytes

public com.google.protobuf.ByteString getChannelAddressBytes()
`string channel_address = 3 [json_name = "channelAddress"];`

Specified by:
  `getChannelAddressBytes` in interface `DaprProtos.AppConnectionPropertiesOrBuilder`
Returns:
  The bytes for channelAddress.

### getMaxConcurrency

public int getMaxConcurrency()
`int32 max_concurrency = 4 [json_name = "maxConcurrency"];`

Specified by:
  `getMaxConcurrency` in interface `DaprProtos.AppConnectionPropertiesOrBuilder`
Returns:
  The maxConcurrency.

### hasHealth

public boolean hasHealth()
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`

Specified by:
  `hasHealth` in interface `DaprProtos.AppConnectionPropertiesOrBuilder`
Returns:
  Whether the health field is set.

### getHealth

public DaprProtos.AppConnectionHealthProperties getHealth()
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`

Specified by:
  `getHealth` in interface `DaprProtos.AppConnectionPropertiesOrBuilder`
Returns:
  The health.

### getHealthOrBuilder

public DaprProtos.AppConnectionHealthPropertiesOrBuilder getHealthOrBuilder()
`.dapr.proto.runtime.v1.AppConnectionHealthProperties health = 5;`

Specified by:
  `getHealthOrBuilder` in interface `DaprProtos.AppConnectionPropertiesOrBuilder`

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static DaprProtos.AppConnectionProperties parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.AppConnectionProperties parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.AppConnectionProperties parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.AppConnectionProperties parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.AppConnectionProperties parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.AppConnectionProperties parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.AppConnectionProperties parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.AppConnectionProperties parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DaprProtos.AppConnectionProperties parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DaprProtos.AppConnectionProperties parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.AppConnectionProperties parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.AppConnectionProperties parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public DaprProtos.AppConnectionProperties.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static DaprProtos.AppConnectionProperties.Builder newBuilder()

### newBuilder

public static DaprProtos.AppConnectionProperties.Builder newBuilder(DaprProtos.AppConnectionProperties prototype)

### toBuilder

public DaprProtos.AppConnectionProperties.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected DaprProtos.AppConnectionProperties.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static DaprProtos.AppConnectionProperties getDefaultInstance()

### parser

public static com.google.protobuf.Parser<DaprProtos.AppConnectionProperties> parser()

### getParserForType

public com.google.protobuf.Parser<DaprProtos.AppConnectionProperties> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public DaprProtos.AppConnectionProperties getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`